<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Title</title>
  <script>
    const numberInput = document.createElement('input')
    const sliderInput = document.createElement('input')
    sliderInput.type = "range"
    const components = [numberInput, sliderInput]

    numberInput.value = 0
    sliderInput.value = 0

    numberInput.onkeyup     = () => sliderInput.value = numberInput.value
    sliderInput.onmousemove = () => numberInput.value = sliderInput.value

    const onload = () => document.body.append(...components)
  </script>
</head>
<body onload="onload()">
</body>
</html>
